Subject: bug#49265: [External] : bug#49265: 28.0.50; repeat mode feature request

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Jul 2021 00:04:07 +0300

>     Drew>   Describe keymaps and repeatable commands.
>
>     Drew> But is "describe keymaps" appropriate?  Or are the
>     Drew> keymaps that are described here only certain ones?
>
> It only describes keymaps that have bindings to repeatable commands in
> them. I still think we should not mention keymaps at all, only bindings.

I checked again, and it seems everything is already correct:
currently the Help buffer groups repeatable commands
by the keymap that is activated in post-command-hook.

Then keymap names have links to the Help buffer that
shows information about the keymap: all its keybindings, etc.
using `describe-keymap'.
Also every command has a link to the Help buffer
that describes that command.

Indeed, there is text "keymap is repeatable by these commands"
in the sense that the keymap is activated for repetition
in post-command-hook.

Maybe Drew could suggest a better text?

One thing I see that could be improved is a too ambiguous name `describe-repeat'.
I propose to rename this command to `describe-repeat-mode'.